Subject: Re: bug#76609: 31.0.50; The 0.1s repeat timer is very CPU-intensive; it might be a bug?

From: Eval Exec <[email-masked]>
Date: Thu, 27 Feb 2025 23:44:16 +0800

> Then why are you worried by the CPU usage?
Because I use laptop with battery everyday, I want to let Emacs more
powersave. Get a better battery life.

On Thu, Feb 27, 2025 at 11:37 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Eval Exec <[email-masked]>
> > Date: Thu, 27 Feb 2025 23:10:35 +0800
> > Cc: [email-masked]
> >
> > > What timers really need to run 10 times a second?
> >
> > I'd like to create a timer to dynamically update the tab bar, similar to
> the effect shown in this video:
> > [https://imgur.com/a/2QAtDQC].
>
> Then why are you worried by the CPU usage?  This is similar to
> performing redisplay of a portion of a window because the user presses
> keys at 10 Hz rate.  If I press and hold the <RIGHT> arrow, I get
> similar CPU usage (my keyboard auto-repeat rate is about 50/sec).
> Each <RIGHT> keypress causes Emacs to draw 2 characters: the one from
> which the cursor moves and the one to which it moves.
>